%define name hanterm
%define ver 3.1.4
%define release 3
%define prefix /usr

Summary: A Hangul (Korean character) terminal emulator for X
Name: %{name}
Version: %{ver}
Release: %{release}
Group: User Interface/X
Copyright: distributable
Source: %{name}-%{ver}.tar.bz2
Patch0: %{name}-3.1.3-default.patch.bz2
Patch1: %{name}-3.1.3-alpha.patch.bz2
Patch2: %{name}-3.1.4-nosuid.patch.bz2
Buildroot: /var/tmp/%{name}-%{ver}-%{release}-root

%description
The hanterm packages provides a terminal emulator for Hangul
Korean character set.

%prep
%setup -q
%patch0 -p1 -b .font
%patch1 -p1 -b .alpha
%patch2 -p1 -b .nosuid
xmkmf

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc doc/*
%config /etc/X11/app-defaults/*
%{prefix}/X11R6/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- No suid

* Sat Feb  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- bzip2
- Use rm -rf

* Mon Dec 18 2000 Yukihiro nakai <ynakai@redhat.com>
- Update to 3.1.4

* Sun Dec 17 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add alpha patch from kterm

* Mon Dec 04 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
